Microsimulation API: Person Class Reference

Microsimulation API

Public Member Functions | Static Public Member Functions | Public Attributes | Static Public Attributes | List of all members
Person Class Reference

Class to simulate a person. More...

Inheritance diagram for Person:
[legend]
Collaboration diagram for Person:
[legend]

## Public Member Functions
| Person ()
void | init ()
virtual void | handleMessage (const cMessage *msg)
virtual Time | age ()

## Static Public Member Functions
static void | resetPopulation ()

## Public Attributes
gleason_t | gleason
stage_t | stage
bool | dx

## Static Public Attributes
static int | popSize = 0
| size of the population More...
static int | nCancer = 0
| number of cancers More...
static int | nLocalisedCancer = 0
| number of localised cancers diagnosed More...
static int | nLocallyAdvancedCancer = 0
| number of locally advanced cancers diagnosed More...
static int | nMetastaticCancer = 0
| number of metastatic cancers diagnosed More...
static Means | personTime = Means()

## Detailed Description

Class to simulate a person.

Definition at line 44 of file person-r-20121231.cc.

## Constructor & Destructor Documentation

## ◆ Person()

Person::Person | ( |  | ) |
| inline

Definition at line 59 of file person-r-20121231.cc.

## Member Function Documentation

## ◆ age()

virtual Time Person::age | ( |  | ) |
| inlinevirtual

Definition at line 62 of file person-r-20121231.cc.

## ◆ handleMessage()

void Person::handleMessage | ( | const cMessage * | msg | ) |
| virtual

Handle receiving self-messages

Definition at line 107 of file person-r-20121231.cc.

## ◆ init()

void Person::init | ( |  | ) |

Initialise a simulation run for an individual

Definition at line 98 of file person-r-20121231.cc.

## ◆ resetPopulation()

void Person::resetPopulation | ( |  | ) |
| static

Definition at line 65 of file person-r-20121231.cc.

## Member Data Documentation

## ◆ dx

bool Person::dx

Definition at line 49 of file person-r-20121231.cc.

## ◆ gleason

gleason_t Person::gleason

Definition at line 47 of file person-r-20121231.cc.

## ◆ nCancer

int Person::nCancer = 0
| static

number of cancers

Definition at line 52 of file person-r-20121231.cc.

## ◆ nLocalisedCancer

int Person::nLocalisedCancer = 0
| static

number of localised cancers diagnosed

Definition at line 53 of file person-r-20121231.cc.

## ◆ nLocallyAdvancedCancer

int Person::nLocallyAdvancedCancer = 0
| static

number of locally advanced cancers diagnosed

Definition at line 54 of file person-r-20121231.cc.

## ◆ nMetastaticCancer

int Person::nMetastaticCancer = 0
| static

number of metastatic cancers diagnosed

Definition at line 55 of file person-r-20121231.cc.

## ◆ personTime

Means Person::personTime = Means()
| static

Definition at line 56 of file person-r-20121231.cc.

## ◆ popSize

int Person::popSize = 0
| static

size of the population

Definition at line 51 of file person-r-20121231.cc.

## ◆ stage

stage_t Person::stage

Definition at line 48 of file person-r-20121231.cc.

The documentation for this class was generated from the following file:

- /home/marcle/src/R/microsimulation/src/archive/person-r-20121231.cc